# Enum Class Facet.FacetType

java.lang.Object
java.lang.Enum<Facet.FacetType>
org.gradle.plugins.ide.eclipse.model.Facet.FacetType

All Implemented Interfaces:
  `Serializable, Comparable<Facet.FacetType>, Constable`

Enclosing class:
  `Facet`

public static enum Facet.FacetType extends Enum<Facet.FacetType>
An `installed` facet is really present on an Eclipse project whereas facet type `fixed` means that this facet is locked and cannot be simply removed. See also here.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`fixed`
`installed`

## Method Summary

Modifier and Type
Method
Description
`static Facet.FacetType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Facet.FacetType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### installed

public static final Facet.FacetType installed

### fixed

public static final Facet.FacetType fixed

## Method Details

### values

public static Facet.FacetType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Facet.FacetType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null